# Uses of Class
serp.bytecode.StackInstruction

Packages that use StackInstruction
Package
Description
serp.bytecode
Bytecode Manipuation
serp.bytecode.visitor
Bytecode Visitor

## Uses of StackInstruction in serp.bytecode

Methods in serp.bytecode that return StackInstruction
Modifier and Type
Method
Description
`StackInstruction`
Code.`dup()`
The `dup` opcode.
`StackInstruction`
Code.`dup2()`
The `dup2` opcode.
`StackInstruction`
Code.`dup2x1()`
The `dup2x1` opcode.
`StackInstruction`
Code.`dup2x2()`
The `dup2x2` opcode.
`StackInstruction`
Code.`dupx1()`
The `dupx1` opcode.
`StackInstruction`
Code.`dupx2()`
The `dupx2` opcode.
`StackInstruction`
Code.`pop()`
The `pop` opcode.
`StackInstruction`
Code.`pop2()`
The `pop2` opcode.
`StackInstruction`
StackInstruction.`setWide(boolean wide)`
Set whether to use the wide form of the current opcode for operations on longs or doubles.
`StackInstruction`
Code.`swap()`
The `swap` opcode.

## Uses of StackInstruction in serp.bytecode.visitor

Methods in serp.bytecode.visitor with parameters of type StackInstruction
Modifier and Type
Method
Description
`void`
BCVisitor.`enterStackInstruction(StackInstruction obj)`
`void`
BCVisitor.`exitStackInstruction(StackInstruction obj)`